<!DOCTYPE html>
<html lang="es">
<head>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1">  
   
	<title>EM-EMPIRE MOVIL</title>
	<link rel="stylesheet" href="../../css/general.css">
    <link rel="stylesheet" href="../../fonts/style.css" />
    <script src="../../js/dnd.js"></script>
    <script src="../../js/miayuda.js"></script>
    <script src="../../js/mdi.js"></script>
    <script src="../../js/clinico.js"></script>
    <script src="../../js/menu.js"></script>
    <script src="../../js/aplicaciones.js"></script>
	<script src="../../js/formulario.js"></script>
    <script src="../../js/formulario_ok.js"></script>
    <script src="../../js/listado.js"></script>
    <script src="../../js/busquedareal.js"></script>
    <script src="../../js/filtrar.js"></script>
    <script src="../../js/editformulario.js"></script>
    <script src="../../js/save_hclinica.js"></script>
    /--Link para exportar a excel --/
     <script src="https://unpkg.com/xlsx@0.16.9/dist/xlsx.full.min.js"></script>
    <script src="https://unpkg.com/file-saverjs@latest/FileSaver.min.js"></script>
    <script src="https://unpkg.com/tableexport@latest/dist/js/tableexport.min.js"></script>
    <script>
		var GETparam=getGET();
		var VGproyect=GETparam.codigo;
		var VGmodulo=GETparam.modulo;
		var VGtipo=GETparam.tipo;
		var VGfunciones="";
		var VGempresa=localStorage.getItem("Codempresa")
		var VGnit="";
		var VGid="";
		var VGrol=localStorage.getItem("rol");
		var VGitulo="";
		var VGsede="001";
		//alert(VGempresa+VGrol+localStorage.getItem("Codempresa"))
		var tAcc="";
		var tId="";
		var VGfecha="";
		var VGRutaRiz="../../";
		console.log(window.localStorage)
		console.log(window.sessionStorage)
		console.log(VGmodulo)
	
		if(VGmodulo === undefined  || VGmodulo===null || VGmodulo===""){
			VGmodulo="facturapos"
			VGtipo="L"
		}
		
	</script>    
</head>

<body class="mdi_body" id="mdi_body">
  
	<div class="mdi">
    	<div class="mdi_det">
        	<div class="mdi_columna">
            	<div id='lizquierda' class="mmenu">
					<div class="mnenu_logotipo" id="logotipo"></div>
                    <div id='menu_buscar' class="mmenu_buscar">Buscador de menu
                    	<a href="javascript:insertar();">X</a><p id='button-text' class="button">Hazme click</p>
                        
                    </div>
                    <div class="mmenu_opciones" id="mdi_menu"></div>
                    <div id='Ccargar'></div>
                </div>
                <div class="mcuerpo">
                	<div class="mdi_empresa">
                    	<div class="cnt_empresa" id="cnt_empresa" ></div>
                    	<div class="info_empresa" id="info_empresa"></div>
                        <div class="mnenu_usario" id="info_usuario"></div>
                    </div>
                   
                   	
                	<div class="mdi_tablero" id="mdi_tablero" >
                    	<div class="mdi_botones" id="mdi_botones"></div>
                    	<div id='ibuscar' style="position:relative"></div>
                        <div id='detcuerpo' class='detcuerpo'></div>
                        
                    </div>
                    
        			<div class="footer" id="footer">
                    	
                    </div>
                </div>
                 <div class="mmenud" id="lderecho">
	                
                 </div>
            </div>
        </div>
    </div>
    <script>
	   
		//const $btnExportar = document.querySelector("#btnExportar")
        //var $tabla = document.querySelector("#customers");


    //$btnExportar.addEventListener("click", function() {
	//	console.log($tabla);
    //    let tableExport = new TableExport($tabla, {
    //        exportButtons: false, // No queremos botones
    //        filename: VGitulo, //Nombre del archivo de Excel
    //        sheetname: VGitulo, //Título de la hoja
    //    });
   //     let datos = tableExport.getExportData();
	//	console.log( datos);
	//	console.log( datos.customers.xlsx);
   //     let preferenciasDocumento = datos.customers.xlsx;
   //     tableExport.export2file(preferenciasDocumento.data, preferenciasDocumento.mimeType, preferenciasDocumento.filename, preferenciasDocumento.fileExtension, preferenciasDocumento.merges, preferenciasDocumento.RTL, preferenciasDocumento.sheetname);
   // });
	
	
	    VarStruture = localStorage.getItem("jempresas")
		Detalle="<select id='n_empresa'>"
		var oJsonDatose = JSON.parse(VarStruture);
		console.log(oJsonDatose)
   		var NJsonIt=oJsonDatose.Datos.length;
		RowArray=0;//esto lo adicione nuevo
		//alert(localStorage.getItem("Codempresa"))
		for (RowArray=0;RowArray<NJsonIt; RowArray++){
			if(oJsonDatose.Datos[RowArray].code.toUpperCase()==localStorage.getItem("Codempresa")){
				localStorage.setItem("NomEmpresa",oJsonDatose.Datos[RowArray].name);
			}else{}
			Detalle+='<option value="'+oJsonDatose.Datos[RowArray].code+'" >'+oJsonDatose.Datos[RowArray].name+'</option>'
		}
		Detalle+="</select>"
		document.getElementById("cnt_empresa").innerHTML=Detalle;
		document.getElementById("n_empresa").value=trim(localStorage.getItem("Codempresa")).toUpperCase() 
		if(VGproyect !== undefined){
		 	if(localStorage.getItem('NomUsuario') !== undefined && localStorage.getItem('NomUsuario')){

				//document.getElementById("proyecto").innerHTML="<h2>"+VGproyect+"</h2>";
				document.getElementById("info_empresa").innerHTML="<h2>"+localStorage.getItem("NomEmpresa")
				//+	"<div class='titulo_form'><div class='triangulo_rectod'></div>  </div>";
			//<div class='cuadro_border_round' id='tmudulo'><p>MODULO</p></div>
		   	 	document.getElementById("info_usuario").innerHTML=" <p>¡HELLO! "+localStorage.getItem("NomUsuario")+"<p>";
				var lImg=trim(localStorage.getItem("Codempresa")).toLowerCase() 
				document.getElementById("logotipo").innerHTML='<img src="'+VGRutaRiz+lImg+'/logotipo.png'+'"></img>'
				VGrol=localStorage.getItem("rol");
				cargar_menu();

				
				
			}else{
				alert("Usted No tiene permiso para acceder a esta Plataforma");
			}
			if(VGproyect="akd"){
				document.getElementById("lderecho").style.width="0px";
			}else{
				document.getElementById("lderecho").style.width="200px";
				cDetalle='<div class="mnenu_usario" id="proyecto" >Proyecto</div><div class="seccion" id="manual">Manual</div><div class="seccion" id="publicidad_lateral">Publicidad</div><div class="seccion" id="chat">Chat Proximamente...</div>'
				document.getElementById("lderecho").innerHTML=Detalle;
				}
		}else{
			alert("Seleccione el proyecto al que desea acceder");
		}
		VGfecha=Fecha_hoy();
		localStorage.setItem("fechahoy",VGfecha);
		console.log(VGmodulo);
		
		if(VGmodulo === null || VGmodulo === undefined ){  
		}else{
			console.log(VGmodulo)
			
			document.getElementById("ibuscar").innerHTML='<input class="form-control col-md-3 light-table-filter" data-table="order-table" type="text" placeholder="Search..">'
			

			
			if(VGtipo=='MAE'){
				cmodulo(VGmodulo,' ',' ','g','100%','','','MAE')
				
			}else{
				if(VGtipo=='TRS'){
					cmodulo_ok(VGmodulo,' ',' ','g','100%','','','TRS')
				}else{
					cmodulo_l(VGmodulo,'l');
				}
				//armar funcion quitando javascript: y dejando lo demas del modulo
			}
  		}   
		
		
    </script>
    <script src="../../js/buscador.js"></script>
 	<script src="../../js/busquedareal.js"></script>
   
 

    
</body>
</html>
